package client;

import java.net.*;
import java.io.*;
import java.util.*;
import javax.net.ssl.*;

/**
 * @author noah_singer
 *
 * Copy the trust store the server is using to the directory
 * where the client will execute
 *
 * To Run client from jar file:
 *	1. Goto <project root>\dist
 *	2. java -Djavax.net.ssl.trustStore=serverexample -Djavax.net.ssl.trustStorePassword=student -jar Client.jar
 */
public class Main {

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
				try {
					Scanner s = new Scanner( System.in );

					System.out.println("Connecting to server");
					//Socket socket = new Socket( "127.0.0.1", 8888 );
					SSLSocketFactory socketFactory = (SSLSocketFactory)SSLSocketFactory.getDefault( );
					SSLSocket socket = (SSLSocket)socketFactory.createSocket( "127.0.0.1", 8888 );
					System.out.println("Connected");

					while( true ) {
						System.out.print("Enter a string: ");
						String input = s.next( );

						PrintWriter out = new PrintWriter( socket.getOutputStream( ) );
						out.println( input );
						out.flush( );
						System.out.println("Data sent to server");

						BufferedReader in = new BufferedReader( new InputStreamReader( socket.getInputStream( ) ) );
						String value = in.readLine( );

						System.out.println(value + " was received");
					}
					
				} catch( UnknownHostException ukhe ) {
					System.out.println(ukhe);
				} catch( IOException ioe ) {
					System.out.println(ioe);
				}
    }

}
